Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1496497 - X segmentation fault
Summary: X segmentation fault
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-nouveau
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Ben Skeggs
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-27 15:16 UTC by mguijarro
Modified: 2021-01-15 07:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-15 07:42:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
sosreport (11.16 MB, application/x-xz)
2017-09-28 15:21 UTC, mguijarro
no flags Details

Description mguijarro 2017-09-27 15:16:13 UTC
Description of problem:
After upgrading to CentOS 7.4, we have problems with NVIDIA cards [NVS 310] (rev a1), in machines with 2 graphics cards of that kind and two monitors. After upgrade to CentOS7.4. X crashes. We observe the following in /var/log/Xorg.0.log:
[ 54.052] (EE) Backtrace:
[ 54.052] (EE) 0: /usr/bin/X (xorg_backtrace+0x55) [0x564e1d574655]
[ 54.052] (EE) 1: /usr/bin/X (0x564e1d3c8000+0x1b0369) [0x564e1d578369]
[ 54.052] (EE) 2: /lib64/libpthread.so.0 (0x7f66158c1000+0xf5e0) [0x7f66158d05e0]
[ 54.052] (EE) 3: /usr/bin/X (RRCrtcGammaSetSize+0xf) [0x564e1d4d96df]
[ 54.052] (EE) 4: /usr/bin/X (0x564e1d3c8000+0xd1a43) [0x564e1d499a43]
[ 54.052] (EE) 5: /usr/bin/X (xf86HandleColormaps+0x318) [0x564e1d465298]
[ 54.052] (EE) 6: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f6610b74000+0x10d1d) [0x7f6610b84d1d] <- !!!
[ 54.052] (EE) 7: /usr/bin/X (AddScreen+0x71) [0x564e1d41bd11]
[ 54.053] (EE) 8: /usr/bin/X (InitOutput+0x406) [0x564e1d45ff46]
[ 54.053] (EE) 9: /usr/bin/X (0x564e1d3c8000+0x578ab) [0x564e1d41f8ab]
[ 54.053] (EE) 10: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7f661551fc05]
[ 54.053] (EE) 11: /usr/bin/X (0x564e1d3c8000+0x41bce) [0x564e1d409bce]
[ 54.053] (EE)
[ 54.053] (EE) Segmentation fault at address 0x38
[ 54.053] (EE)
Fatal server error:
[ 54.053] (EE) Caught signal 11 (Segmentation fault). Server aborting



Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-1.0.13-3.el7.x86_64 in CentOS to 7.4 Things were working fine with xorg-x11-drv-nouveau-1.0.11-4.el7.x86_64

How reproducible:

All the time.

Steps to Reproduce:
1.Boot up the machine. That's it.
2.
3.

Actual results:
No graphical environment


Expected results:
Both monitors being functional.
Additional info:

Comment 2 mguijarro 2017-09-28 15:21:10 UTC
Created attachment 1332031 [details]
sosreport

This is a sosreport in a machine that shows the problem described in this bug report.

Comment 3 Sergey 2017-10-25 09:54:36 UTC
Hello, do we have any progress !?

Comment 5 RHEL Program Management 2021-01-15 07:42:46 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.